Package org.eclipse.emf.spi.cdo

## Interface CDOSessionProtocol.RefreshSessionResult.Provider

- Enclosing class:
    CDOSessionProtocol.RefreshSessionResult

      public static interface CDOSessionProtocol.RefreshSessionResult.Provider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOSessionProtocol.RefreshSessionResult` | `getRefreshSessionResult​(java.util.Map<CDOBranch,​java.util.List<InternalCDOView>> views, java.util.Map<CDOBranch,​java.util.Map<CDOID,​InternalCDORevision>> viewedRevisions)` |

- - ### Method Detail

    - #### getRefreshSessionResult

          CDOSessionProtocol.RefreshSessionResult getRefreshSessionResult​(java.util.Map<CDOBranch,​java.util.List<InternalCDOView>> views,
                                                                          java.util.Map<CDOBranch,​java.util.Map<CDOID,​InternalCDORevision>> viewedRevisions)